classification
Title: bsddb not completely removed
Type: Stage:
Components: Installation Versions: Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: amaury.forgeotdarc Nosy List: amaury.forgeotdarc, georg.brandl, karlcow, loewis, ronaldoussoren
Priority: normal Keywords: patch

Created on 2008-09-06 00:32 by amaury.forgeotdarc, last changed 2009-06-04 09:30 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
remove-bsddb.patch amaury.forgeotdarc, 2008-09-06 00:32
Messages (8)
msg72654 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-09-06 00:32
Some remnants of the defunct bsddb module, on windows:
- _bsddb44.lib is still compiled (but never used anywhere)
- _bsddb.py is still referenced by the msi installer

This is a release blocker: the installer won't work.
msg72656 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-09-06 00:51
There are many other places with bsddb. I tried to list all the files here:

Doc\library\collections.rst
Doc\library\dbm.rst
Doc\library\shelve.rst
Doc\reference\datamodel.rst
Lib\pydoc_topics.py
Lib\shelve.py
Lib\test\regrtest.py
Makefile.pre.in
Misc\developers.txt
Misc\RPM\python-3.0.spec
Misc\valgrind-python.supp
Modules\Setup.dist
PC\VS8.0\pyproject.vsprops
PCbuild\pyproject.vsprops
PCbuild\readme.txt
PCbuild\vs9to8.py
Tools\scripts\db2pickle.py
Tools\scripts\pickle2db.py


And some files that don't seem well maintained anyway:
PC\os2emx\README.os2emx
PC\os2vacpp\makefile
PC\os2vacpp\makefile.omk
PC\VC6\readme.txt
PC\VS7.1\python.build
PC\VS7.1\python.iss
PC\VS7.1\python20.wse
PC\VS7.1\readme.txt
msg72753 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-09-07 20:31
The patch looks fine to me, please apply.
msg72824 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-09-09 06:56
Committed patch as r66330.
Lower priority, but let the item open: more "bsddb" should be removed.
msg84743 - (view) Author: karl (karlcow) * Date: 2009-03-31 03:17
On the mac version there is an issue with the python version installed
by default. 

Python 2.5.1 (r251:54863, Jan 13 2009, 10:26:13) 
[GCC 4.0.1 (Apple Inc. build 5465)] on darwin

 File
"/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/dbhash.py",
line 5, in <module>
   import bsddb
 File
"/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/bsddb/__init__.py",
line 51, in <module>
   import _bsddb
ImportError: No module named _bsddb
msg84744 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2009-03-31 03:20
Python 2.5 is completed; no further changes will be made to it.
msg88091 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-05-19 19:25
The mac issue mentioned by "karlcow" is not relevant for this discussion 
and refers to the system install of Python. 

The python.org maintainers cannot influence the behaviour of that 
installation, especially not w.r.t. the installation of optional extras 
like bsddb.

BTW. Can this issue be closed? 

BTW2. Switching "components" from Macintosh to "Installation" because 
this is not related to the macos port.
msg88871 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-06-04 09:30
Removed the last traces of bsddb in r73208.
History
Date User Action Args
2009-06-04 09:30:47georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg88871

keywords: patch, patch
resolution: accepted -> fixed
2009-05-19 19:25:46ronaldoussorensetnosy: + ronaldoussoren
messages: + msg88091

components: + Installation, - macOS
keywords: patch, patch
2009-03-31 03:20:01loewissetkeywords: patch, patch

messages: + msg84744
2009-03-31 03:17:34karlcowsetversions: + Python 2.5, - Python 3.0
nosy: + karlcow

messages: + msg84743

components: + macOS, - Windows
2008-09-09 06:56:59amaury.forgeotdarcsetpriority: release blocker -> normal
keywords: patch, patch
messages: + msg72824
2008-09-07 20:31:01loewissetkeywords: - needs review
assignee: amaury.forgeotdarc
resolution: accepted
messages: + msg72753
nosy: + loewis
2008-09-06 00:51:00amaury.forgeotdarcsetkeywords: patch, patch, needs review
messages: + msg72656
2008-09-06 00:32:25amaury.forgeotdarccreate